Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Interface ContentBase

All Superinterfaces
  Serializable

All Known Subinterfaces:
  FolderBase, ICmForum, ICmForumCategory, ICmRelatedContent, ICmTopic

All Known Implementing Classes:
  Announcement, CmBrowserBean, CmBrowserContentFolder, CmBrowserFolder, CmBrowserTypelessContent, CommunityContent, ContentBaseImpl, FeedEntry, FeedFolder, Folder, FolderBaseImpl, GsDoc, Issue, Link, RichText, SavedSearchBean

    public interface ContentBase

extends Serializable

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

Base interface for content wrappers; basically mirrors `Node` interface

Method Summary
`String` | `getContentType()`
`String` | `getCreatedBy()`
`Calendar` | `getCreatedDate()`
`ID` | `getCurrentParentFolderId()`
`ID` | `getDestinationFolderId()`
`String` | `getDisplayName()` Returns a display name for the Node; primary property if one exists, name if not.
`com.bea.apps.groupspace.icons.Icon` | `getIcon()`
`ID` | `getId()`
`String` | `getModifiedBy()`
`Calendar` | `getModifiedDate()`
`String` | `getName()`
`Node` | `getNode()`
`String` | `getNodePath()`
`Property[]` | `getNodeProperties()`
`Property` | `getNodeProperty(String pname)`
`CommunityContent.NodeType` | `getNodeType()`
`ID` | `getParentId()`
`boolean` | `isContentNode()`
`boolean` | `isHierarchyNode()`
`void` | `setCurrentParentFolderId(ID id)`
`void` | `setDestinationFolderId(ID id)`
`void` | `setNode(Node node)`
`void` | `setProperty(String propName, Value newValue)`
`void` | `setProperty(String propName, Value[] newValues)`

Method Detail

### getNode

    Node getNode()

### setNode

    void setNode(Node node)

### getContentType

    String getContentType()

### getCreatedBy

    String getCreatedBy()

### getModifiedBy

    String getModifiedBy()

### getCreatedDate

    Calendar getCreatedDate()

### getModifiedDate

    Calendar getModifiedDate()

### getNodePath

    String getNodePath()

### getNodeType

    CommunityContent.NodeType getNodeType()

### isHierarchyNode

    boolean isHierarchyNode()

### isContentNode

    boolean isContentNode()

### getId

    ID getId()

### getParentId

    ID getParentId()

### getName

    String getName()

### getDisplayName

    String getDisplayName()
                          throws RepositoryException

  Returns a display name for the Node; primary property if one exists, name if not. Intended to be overridden to return something specific for a specialized content type. For example, `TITLE` in all `COMMUNITY_CONTENT`

  Returns
    - string to use for display name
  Throws
    `RepositoryException`

### getIcon

    com.bea.apps.groupspace.icons.Icon getIcon()

### getDestinationFolderId

    ID getDestinationFolderId()

### setDestinationFolderId

    void setDestinationFolderId(ID id)

### getCurrentParentFolderId

    ID getCurrentParentFolderId()

### setCurrentParentFolderId

    void setCurrentParentFolderId(ID id)

### getNodeProperties

    Property[] getNodeProperties()

### getNodeProperty

    Property getNodeProperty(String pname)

### setProperty

    void setProperty(String propName,
                     Value newValue)

### setProperty

    void setProperty(String propName,
                     Value[] newValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved